OpenShot Audio Library | OpenShotAudio: juce::AudioFormatReaderSource Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::AudioFormatReaderSource Class Reference

`#include <juce_AudioFormatReaderSource.h>`

Inheritance diagram for juce::AudioFormatReaderSource:

## Public Member Functions
| AudioFormatReaderSource (AudioFormatReader *sourceReader, bool deleteReaderWhenThisIsDeleted)
| ~AudioFormatReaderSource () override
void | setLooping (bool shouldLoop) override
bool | isLooping () const override
AudioFormatReader * | getAudioFormatReader () const noexcept
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
void | releaseResources () override
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
void | setNextReadPosition (int64 newPosition) override
int64 | getNextReadPosition () const override
int64 | getTotalLength () const override
Public Member Functions inherited from juce::PositionableAudioSource
| ~PositionableAudioSource () override=default
virtual void | setNextReadPosition (int64 newPosition)=0
virtual int64 | getNextReadPosition () const =0
virtual int64 | getTotalLength () const =0
virtual bool | isLooping () const =0
virtual void | setLooping (bool shouldLoop)
Public Member Functions inherited from juce::AudioSource
virtual | ~AudioSource ()=default
virtual void | prepareToPlay (int samplesPerBlockExpected, double sampleRate)=0
virtual void | releaseResources ()=0
virtual void | getNextAudioBlock (const AudioSourceChannelInfo &bufferToFill)=0

## Additional Inherited Members
Protected Member Functions inherited from juce::PositionableAudioSource
| PositionableAudioSource ()=default
Protected Member Functions inherited from juce::AudioSource
| AudioSource ()=default

## Detailed Description

A type of AudioSource that will read from an AudioFormatReader.

See also
  PositionableAudioSource, AudioTransportSource, BufferingAudioSource

Definition at line 38 of file juce_AudioFormatReaderSource.h.

## Constructor & Destructor Documentation

## ◆ AudioFormatReaderSource()

juce::AudioFormatReaderSource::AudioFormatReaderSource | ( | AudioFormatReader * | sourceReader,
|  | bool | deleteReaderWhenThisIsDeleted
| ) |  |

Creates an AudioFormatReaderSource for a given reader.

Parameters

  sourceReader | the reader to use as the data source - this must not be null
  deleteReaderWhenThisIsDeleted | if true, the reader passed-in will be deleted when this object is deleted; if false it will be left up to the caller to manage its lifetime

Definition at line 30 of file juce_AudioFormatReaderSource.cpp.

## ◆ ~AudioFormatReaderSource()

juce::AudioFormatReaderSource::~AudioFormatReaderSource | ( |  | ) |
| override

Destructor.

Definition at line 39 of file juce_AudioFormatReaderSource.cpp.

## Member Function Documentation

## ◆ getAudioFormatReader()

AudioFormatReader * juce::AudioFormatReaderSource::getAudioFormatReader | ( |  | ) | const
| inlinenoexcept

Returns the reader that's being used.

Definition at line 70 of file juce_AudioFormatReaderSource.h.

## ◆ getNextAudioBlock()

void juce::AudioFormatReaderSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & | info | ) |
| overridevirtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 54 of file juce_AudioFormatReaderSource.cpp.

## ◆ getNextReadPosition()

int64 juce::AudioFormatReaderSource::getNextReadPosition | ( |  | ) | const
| overridevirtual

Implements the PositionableAudioSource method.

Implements juce::PositionableAudioSource.

Definition at line 45 of file juce_AudioFormatReaderSource.cpp.

## ◆ getTotalLength()

int64 juce::AudioFormatReaderSource::getTotalLength | ( |  | ) | const
| overridevirtual

Implements the PositionableAudioSource method.

Implements juce::PositionableAudioSource.

Definition at line 41 of file juce_AudioFormatReaderSource.cpp.

## ◆ isLooping()

bool juce::AudioFormatReaderSource::isLooping | ( |  | ) | const
| inlineoverridevirtual

Returns whether loop-mode is turned on or not.

Implements juce::PositionableAudioSource.

Definition at line 67 of file juce_AudioFormatReaderSource.h.

## ◆ prepareToPlay()

void juce::AudioFormatReaderSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate
| ) |  |
| overridevirtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 51 of file juce_AudioFormatReaderSource.cpp.

## ◆ releaseResources()

void juce::AudioFormatReaderSource::releaseResources | ( |  | ) |
| overridevirtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 52 of file juce_AudioFormatReaderSource.cpp.

## ◆ setLooping()

void juce::AudioFormatReaderSource::setLooping | ( | bool | shouldLoop | ) |
| overridevirtual

Toggles loop-mode.

If set to true, it will continuously loop the input source. If false, it will just emit silence after the source has finished.

See also
  isLooping

Reimplemented from juce::PositionableAudioSource.

Definition at line 43 of file juce_AudioFormatReaderSource.cpp.

## ◆ setNextReadPosition()

void juce::AudioFormatReaderSource::setNextReadPosition | ( | int64 | newPosition | ) |
| overridevirtual

Implements the PositionableAudioSource method.

Implements juce::PositionableAudioSource.

Definition at line 42 of file juce_AudioFormatReaderSource.cpp.

The documentation for this class was generated from the following files:

- juce_AudioFormatReaderSource.h
- juce_AudioFormatReaderSource.cpp